<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Services\Analyzators\Validators;

use Seka\Portal\Modul\Statistiky\Entities\Zaznam\Enums\DruhEmisnejKontrolyEnum;

/**
 * Class LexicalKontrolaDruh
 *
 * @package Seka\Portal\Modul\Statistiky\Services\Analyzators\Validators
 */
final class LexicalKontrolaDruh extends Lexical
{
    /**
     * @param $input
     *
     * @return bool
     */
    public function validate($input): bool
    {
        parent::validate($input);

        return strlen($input) > 0 && in_array(mb_strtoupper($input), DruhEmisnejKontrolyEnum::toValues());
    }

    /**
     * @param $input
     *
     * @return string
     */
    public function getErrorMsg($input): string
    {
        return sprintf('povolene hodnoty: %s, %s', implode(',', DruhEmisnejKontrolyEnum::toValues()), $input);
    }
}
